<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
		<artifactId>maven-parent</artifactId>
		<groupId>org.gcube.tools</groupId>
		<version>1.1.0</version>
		<relativePath />
  </parent>
  <groupId>org.gcube.contentmanagement</groupId>
  <artifactId>storage-manager-wrapper</artifactId>
  <version>3.0.0-SNAPSHOT</version>
  <scm>
				<connection>scm:git:https://code-repo.d4science.org/gCubeSystem/${project.artifactId}.git</connection>
		<developerConnection>scm:git:https://code-repo.d4science.org/gCubeSystem/${project.artifactId}.git</developerConnection>
		<url>https://code-repo.d4science.org/gCubeSystem/${project.artifactId}</url>
  </scm>
  <properties>
  		<distroDirectory>${project.basedir}/distro</distroDirectory>
  </properties>
  <dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.gcube.distribution</groupId>
				<artifactId>gcube-bom</artifactId>
				<version>1.4.0</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>
  <dependencies>
 	<dependency>
		<groupId>org.gcube.contentmanagement</groupId>
  		<artifactId>storage-manager-core</artifactId>
   		<version>[3.0.0-SNAPSHOT, 4.0.0-SNAPSHOT)</version>
  		<scope>provided</scope>
	</dependency>
	<dependency>
			<groupId>org.gcube.resources</groupId>
			<artifactId>common-gcore-resources</artifactId>
		</dependency>

		<dependency>
			<groupId>org.gcube.core</groupId>
			<artifactId>common-gcore-stubs</artifactId>
		</dependency>
		<dependency>
			<groupId>org.gcube.resources.discovery</groupId>
			<artifactId>ic-client</artifactId>
		</dependency>
		<dependency>
	  		<groupId>org.gcube.core</groupId>
	  		<artifactId>common-encryption</artifactId>
	  	</dependency>
		<dependency>
			<groupId>org.gcube.core</groupId>
			<artifactId>common-scope-maps</artifactId>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
			<scope>test</scope>
		</dependency>
		<dependency>
	  		<groupId>org.slf4j</groupId>
	  		<artifactId>slf4j-log4j12</artifactId>
	  		<version>1.6.4</version>
	  		<scope>provided</scope>
  	</dependency>
		<dependency>
			<groupId>commons-codec</groupId>
			<artifactId>commons-codec</artifactId>
			<version>1.8</version>
		</dependency>
  </dependencies>	
  <build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>2.5</version>
				<executions>
					<execution>
						<id>copy-profile</id>
						<phase>install</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<outputDirectory>target</outputDirectory>
							<resources>
								<resource>
									<directory>${distroDirectory}</directory>
									<filtering>true</filtering>
									<includes>
										<include>profile.xml</include>
									</includes>
								</resource>
							</resources>
						</configuration>
					</execution>
				</executions>
			</plugin>
<!-- 			<plugin> -->
<!-- 				<groupId>org.apache.maven.plugins</groupId> -->
<!-- 				<artifactId>maven-assembly-plugin</artifactId> -->
<!-- 				<configuration> -->
<!-- 					<descriptors> -->
<!-- 						<descriptor>${distroDirectory}/descriptor.xml</descriptor> -->
<!-- 					</descriptors> -->
<!-- 				</configuration> -->
<!-- 				<executions> -->
<!-- 					<execution> -->
<!-- 						<id>servicearchive</id> -->
<!-- 						<phase>install</phase> -->
<!-- 						<goals> -->
<!-- 							<goal>single</goal> -->
<!-- 						</goals> -->
<!-- 					</execution> -->
<!-- 				</executions> -->
<!-- 			</plugin> -->
 		</plugins>
	</build>
</project>